Bug 1261125 - Use requests-toolbelt to upload srpms
Use requests-toolbelt to upload srpms
Status: CLOSED ERRATA
Product: Copr
Classification: Community
Component: cli (Show other bugs)
unspecified
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Jakub Kadlčík
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-08 11:58 EDT by Orion Poplawski
Modified: 2016-05-16 18:25 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-16 18:25:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2015-09-08 11:58:00 EDT
Description of problem:

According to http://docs.python-requests.org/en/latest/user/quickstart/#post-a-multipart-encoded-file :

In the event you are posting a very large file as a multipart/form-data request, you may want to stream the request. By default, requests does not support this, but there is a separate package which does - requests-toolbelt. You should read the toolbelt’s documentation for more details about how to use it.


And indeed I'm seeing that sending a large file is very inefficient and memory intensive with the current method.

Version-Release number of selected component (if applicable):
1.44-1.fc21
Comment 1 Jakub Kadlčík 2015-09-15 05:59:41 EDT
Hello Orion, thank you for the feedback.

Modified in: 61817cd
Comment 2 Miroslav Suchý 2015-10-15 05:45:54 EDT
Version with this fix has been just deployed to production.
Comment 3 Orion Poplawski 2015-10-16 15:06:40 EDT
Let's keep this open until the client has been released to Fedora.
Comment 4 Miroslav Suchý 2015-11-18 03:28:52 EST
This has been deployed in production now.
Comment 5 Orion Poplawski 2015-11-23 16:11:27 EST
As this is a front-end bug, let's keep this open until the client has been released to Fedora.
Comment 6 Fedora Update System 2016-02-03 09:07:39 EST
python-copr-1.65-1.el6 copr-cli-1.47-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-0b304178f6
Comment 7 Fedora Update System 2016-02-03 09:07:39 EST
python-copr-1.65-1.fc23 copr-cli-1.47-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b8100b8c0e
Comment 8 Fedora Update System 2016-02-03 09:07:40 EST
python-copr-1.65-1.el6 copr-cli-1.47-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-0b304178f6
Comment 9 Fedora Update System 2016-02-03 09:08:03 EST
python-copr-1.65-1.el7 copr-cli-1.47-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-c11c38ade2
Comment 10 Fedora Update System 2016-02-03 09:08:05 EST
python-copr-1.65-1.fc22 copr-cli-1.47-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-1fc476e069
Comment 11 Fedora Update System 2016-02-03 17:19:24 EST
copr-cli-1.47-1.el6, python-copr-1.65-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-0b304178f6
Comment 12 Fedora Update System 2016-02-03 17:23:13 EST
copr-cli-1.47-1.el7, python-copr-1.65-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-c11c38ade2
Comment 13 Fedora Update System 2016-02-03 17:59:21 EST
copr-cli-1.47-1.fc23, python-copr-1.65-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b8100b8c0e
Comment 14 Fedora Update System 2016-02-03 18:25:10 EST
copr-cli-1.47-1.fc22, python-copr-1.65-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1fc476e069
Comment 15 Miroslav Suchý 2016-02-04 03:58:10 EST
This fix has been just deployed to production.
Comment 16 Fedora Update System 2016-02-07 00:23:02 EST
copr-cli-1.47-1.fc23, python-copr-1.65-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2016-02-20 17:57:59 EST
copr-cli-1.47-1.el7, python-copr-1.65-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2016-02-20 18:55:02 EST
copr-cli-1.47-1.el6, python-copr-1.65-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2016-05-05 03:01:17 EDT
python-copr-1.68-1.fc22 copr-cli-1.50-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-83199bf70e
Comment 20 Fedora Update System 2016-05-06 05:22:58 EDT
copr-cli-1.50-1.fc22, python-copr-1.68-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-83199bf70e
Comment 21 Fedora Update System 2016-05-16 18:24:44 EDT
copr-cli-1.50-1.fc22, python-copr-1.68-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.